body {
    background: var(--light);
    hyphens: auto;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

h1 {
    color: var(--primary);
}

h2, h3, h4, h5, h6 {
    color: var(--dark);
}

#totop {
    color: var(--secondary);
    background: var(--primary);
    border-color: var(--primary);
    bottom: 40px;
}
#totop:hover {
    color: var(--primary);
    background: var(--secondary);
    border-color: var(--secondary);
}

/************************
        Header
************************/

.pageHeader {
    padding-top: 0;
}

.pageHeader h2, .pageHeader h3, .pageHeader h4, .pageHeader h5, .pageHeader h6 {
    color: var(--primaryText);
}

.headerNavbar {
    background: linear-gradient(90deg, var(--primary), var(--dark));
    border-bottom: 2px solid var(--primary);
    height: 100px;
}

.logo {
    width: 125px;
    height: 125px;
    position: absolute;
    top: 28px;
    z-index: 2;
}

.nav-link,
nav.navbar .navbar-nav .nav-link {
    color: var(--primaryText);
    font-family: MainFontRegular;
}
div.news .nav-link {
    color: var(--primary);
}
.pageHeader .headerNavbar .container .row .col-12 .navbar .container-fluid .navbar-nav {
    align-items: center;
    gap: 25px;
}

.pageHeader .headerNavbar .container .row .col-12 .navbar {
    z-index: 2;
}
.pageHeader .headerNavbar .container .row .col-12 .navbar .offcanvas {
    background: var(--light);
    color: var(--dark);
}

.pageHeader .headerNavbar .container .row .col-12 .navbar .offcanvas .btn-close {
    filter: none;
}

.pageHeader .frame-type-textpic .customTextpic,
.pageHeader .frame-type-image .customTextpicImage {
    color: var(--primaryText);
    height: 600px;
    background-position: center;
    background-size: cover;
}
.pageHeader .frame-type-image .customTextpicImage {
    height: 300px;
}

.pageHeader .frame-type-textpic .customTextpic .elementContent {
    max-width: 640px;
}

/************************
           Body
************************/

.pageBody {
    padding-top: 100px;
    padding-bottom: 100px;
}

/************************
        Footer
************************/

.pageFooter {
    color: var(--secondaryText);
    background: var(--secondary);
    height: 150px;
    display: flex;
    align-items: center;
    margin-top: auto;
}

.pageFooter .nav-link a {
    color: var(--secondaryText);
}

.footer-text .frame p {
    margin-bottom: 0;
}

.footer-text {
    max-width: 500px;
}

/***********************
        Content
***********************/
.headerSwitched > * {
    color: var(--primary);
}

.headerSwitched > *:first-child {
    color: var(--primaryText);
}

.btn.club-button {
    border-radius: 50px;
    padding: .4rem 1.5rem;
    font-weight: bold;
}

.btn.club-button + .btn.club-button {
    margin-left: 10px;
}


.btn-primary {
    color: var(--secondary);
}

.btn-primary:hover {
    color: var(--primary);
    background-color: var(--secondary);
    border-color: var(--secondary);
}


.btn-primary.club-button:hover {
    color: var(--primary);
    background-color: transparent;
    border-color: var(--primary);
}

.btn-outline-primary:focus,
.btn-outline-primary:active,
.btn-outline-primary:active:focus,
.btn-outline-primary:hover {
    color: var(--secondary);
}

.btn-outline-secondary:focus,
.btn-outline-secondary:active,
.btn-outline-secondary:active:focus,
.btn-outline-secondary:hover {
    color: var(--dark);
    background: var(--primary);
    border-color: var(--primary);
}

ul.club-time-list {
    padding-left: 1.25rem;
}

ul.club-time-list li {
    padding-left: .75rem;
}

ul.club-time-list li::marker {
    content: "\f017";
    display: block;
    font-size: 1.25rem;
    font-family: "Font Awesome 6 Free";
    color: var(--secondary);
}

/************************
        Frame Card
************************/

.frame-card {
    background: var(--info);
    padding: 2.5rem;
    /*margin: 0 1.5rem;*/
    height: 100%;
}

.frame-card .ce-textpic,
.frame-card .ce-textpic .ce-bodytext {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.frame-card .ce-textpic .ce-gallery {
    height: 50px;
    display: flex;
}

.frame-card .ce-textpic .ce-bodytext p:last-of-type {
    margin-top: auto;
    margin-bottom: 0;
}

/************************
           News
************************/

.news .news-list-view .article .news-img-wrap a {
    padding: 0
}

.news-list-pic,
.news .news-list-view .article .news-img-wrap img {
    width: 120px;
    height: fit-content;
}

.news .news-list-view .news-list-date {
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.news-list-date > *:first-child {
    font-weight: bold;
}

.news-list-pic-date,
.news .news-list-view .article .news-img-wrap {
    position: relative;
    margin-right: 1.25rem;
    height: 100%;
}

.news .page-item .page-link {
    border-color: var(--dark);
    color: var(--dark);
}
.news p.nav-item .nav-link {
    color: var(--dark);
}
.news .page-link:focus {
    box-shadow: none;
}

.news .page-item.active .page-link,
.news .page-item .page-link:hover {
    background: var(--primary);
    border-color: var(--primary);
}

.news .pagination .page-item,
.news .pagination .page-item .page-link {
    border-radius: 50px;
}
.news .pagination .page-item {
    margin: 0 5px;
}


/************************
        Time entry
************************/

.time-entry span {
    background: var(--primary);
    border-top-right-radius: 50px;
    border-bottom-right-radius: 50px;
    padding: 0.2rem 1.25rem 0.2rem .75rem;
    margin-right: 1.25rem;
    min-width: fit-content;
    height: fit-content;
}

.time-entry p {
    margin: 0;
}

.time-entry {
    margin-left: -1.25rem;
    margin-bottom: 1.25rem;
}


/**************************************************
 Frame Light Background / Light Background Opacity
**************************************************/

.frame-lightBackground, .frame-lightBackgroundOpacity {
    background: var(--info);
    padding: 1.25rem;
    min-height: 170px;
    margin-bottom: 2rem;
}

.frame-lightBackgroundOpacity {
    opacity: 50%;
}

.frame-opacity50 {
    opacity: 50%;
}

/************************
       Overwrites
************************/

nav.navbar .navbar-nav .nav-link:hover,
nav.navbar .navbar-nav .nav-link.active {
    color: var(--primaryHover);
    font-family: MainFontRegular;
    text-decoration: underline;
}

.btn-close:focus {
    --bs-btn-close-focus-shadow: 0 0 0 0.25rem rgba(29 , 29, 27, 0.25);
}